FROM golang:1.25-alpine AS builder

WORKDIR /src

RUN apk add --no-cache git build-base

COPY . .

RUN make

FROM alpine:3.19

COPY --from=builder /src/fes /usr/local/bin/fes

WORKDIR /app

EXPOSE 3000

ENTRYPOINT ["/usr/local/bin/fes"]
CMD ["run", "/app"]
